Subject: bug#23957: [PATCH] Make fboundp an alias for symbol-function

From: Robert Cochran <[email-masked]>
Date: Tue, 12 Jul 2016 12:11:53 -0700

I didn't put too much thought into reading the FIXME; I figured that
someone smarter than myself knew what they were doing when requesting
the change.

I'd personally argue that anyone making an explicit check for t, or
anything that particularly needs t rather than any true value is just
asking for lossage, but I can see why people would disagree with that
assertion.

FWIW, In every placed I changed occurrences of fboundp to
symbol-function, both in Lisp and C, used only the truthiness of the
return rather than explicitly checking for t.

I also ran the test suite with and without my patch applied, and noticed
no difference in the number of failing tests.

Anyways, I'm willing to toss this patch and do something else if that is
the general consensus.

Thanks,
~Robert Cochran